
 const {voidNoParam} = require('./point_pb.js');
const {PointClient} = require('./point_grpc_web_pb.js');

var client = new PointClient('http://' + window.location.hostname + ':8080',null, null);
var request = new voidNoParam();

    
function unaryResponseHandler(err,response){
  if (err) {
    console.log(`Unexpected error for readPoint: code = ${err.code}` +
                `, message = "${err.message}"`);
  } else {
    console.log(pointToString(response));
  }
}

function pointToString(point){
  return "ID: " + point.getId() + "x: " + point.getX() + "y: " + point.getY();
}

                           
// simple unary call
client.readPoint(request, {}, unaryResponseHandler);
window.uclicked = function(){
  console.log("requested new point from client.js");
  client.readPoint(request,{},unaryResponseHandler);
}

// server streaming call
var streamRequest = new voidNoParam();

var count = 10;
console.log("Will send " + count);

var stream = client.readPointsStream(streamRequest, {});
stream.on('data', (response) => {
  console.log(pointToString(response));
});
stream.on('error', (err) => {
  console.log(`Unexpected stream error: code = ${err.code}` +
              `, message = "${err.message}"`);
});


